CC             := clang++
CFLAGS         := -std=c++17 -g

all: array vector list map set

array: array.cpp
	$(CC) $(CFLAGS) -o $@ $<
list: list.cpp
	$(CC) $(CFLAGS) -o $@ $<
map: map.cpp
	$(CC) $(CFLAGS) -o $@ $<
set: set.cpp
	$(CC) -std=c++20 -g -o $@ $<
vector: vector.cpp
	$(CC) $(CFLAGS) -o $@ $<

.PHONY: clean
clean:
	rm array list map vector set 2> /dev/null
